function make_UCSB_emiss(fin,fout,fout_rtp);

%% function make_emiss(fin,fout,fout_rtp);
%% input fin     :  file from UCSB database
%%       fout    :  file for kCARTA
%%       fout_rtp:  file for SARTA
%% assumes fin only has data, in 3 column [UM  CM-1  EMISS] format

po = load(fin);
x = po(:,2); y = po(:,3);
xx = 600:25:2850; yy = interp1(x,y,xx);
ii = isnan(yy); yy(ii) = 0.999; ii = find(yy > 0.999999); yy(ii) = 0.999;
arr = [xx;yy];
plot(x,y,xx,yy); axis([500 3000 0.6 1.1]); grid;

fid = fopen(fout,'w');
[mm,nn] = size(arr);
fprintf(fid,' %4i \n',nn);
fprintf(fid,' %9.6f %8.6f \n',arr);
fclose(fid);

fid = fopen(fout_rtp,'w');
fprintf(fid,' %9.6f %8.6f \n',arr);
fclose(fid);